Bug 61128 - g++3 segfaults assembler
g++3 segfaults assembler
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 17:56 EST by tlmiller
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Object-elf.s (assembler causing segfault) (1015.72 KB, text/plain)
2002-03-13 17:57 EST, tlmiller
no flags Details
Object-elf.Cpp (pre-processed C++ source code) (843.89 KB, text/plain)
2002-03-13 17:57 EST, tlmiller
no flags Details

  None (edit)
Description tlmiller 2002-03-13 17:56:27 EST
Description of Problem:

tmp/ccibHDVf.s: Assembler messages:
/tmp/ccibHDVf.s:5574: Error: Unwind directive not followed by an instruction.
/tmp/ccibHDVf.s:7879: Error: Unwind directive not followed by an instruction.
/tmp/ccibHDVf.s:10611: Error: Unwind directive not followed by an instruction.
/tmp/ccibHDVf.s:12519: Error:  Insn slot not set in unwind record.
g++3: Internal error: Segmentation fault (program as)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions

Version-Release number of selected component (if applicable):

$ g++3 -v
Reading specs from /usr/lib/gcc-lib/ia64-redhat-linux/3.0.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man 
--infodir=/usr/share/info --enable-shared --enable-threads=posix 
--disable-checking --host=ia64-redhat-linux
Thread model: posix
gcc version 3.0.2 20010905 (Red Hat Linux 7.1 3.0.1-3)

$ as -v
GNU assembler version 2.11.90.0.8 (ia64-redhat-linux) using BFD version 
2.11.90.0.8

How Reproducible:

Every time.

Steps to Reproduce:

as Object-elf.s

Actual Results:

See description.

Expected Results:
Generation of "Object-elf.o".

Additional Information:

See attatchments for pre-processed C++ source and generated assembly.

Can be worked around by compiling with -O instead of -O2.

command line:

$ g++3 ... -O2 -g -gstabs+ -fno-implicit-templates -I/usr/include/libelf -W 
-Wall -Wpointer-arith -Wcast-qual -Wconversion -Wmissing-prototypes 
-Woverloaded-virtual -Wcast-align -Wno-non-template-friend ... Object-elf.C
Comment 1 tlmiller 2002-03-13 17:57:08 EST
Created attachment 48433 [details]
Object-elf.s (assembler causing segfault)
Comment 2 tlmiller 2002-03-13 17:57:35 EST
Created attachment 48434 [details]
Object-elf.Cpp (pre-processed C++ source code)
Comment 3 Richard Henderson 2004-10-02 15:46:31 EDT
Fixed by removing stabs as a debugging option.

Note You need to log in before you can comment on or make changes to this bug.